#include <fcgi_stdio.h>
#include <string.h>
#include <stdlib.h>

int main() {

        char *f;

	char *header = NULL;
	char *sefile = NULL;


        if(NULL != (f = getenv("HEADER"))) {
                header = malloc(strlen(f) + 1);
                strcpy(header, f);
        }

        if(NULL != (f = getenv("SENDFILE"))) {
                sefile = malloc(strlen(f) + 1);
                strcpy(sefile, f);
        }

        while(FCGI_Accept() >= 0) {

		if(NULL != header) {
			printf("%s\r\n", header);
		}

                if(NULL != sefile) {
                        printf("X-Sendfile: %s\r\n\r\n", sefile);
                } else {
                        printf("\r\n");
                }
        }

	if(header) free(header);
	if(sefile) free(sefile);

        return 0;
}

